aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xinclude/partition.sh2
-rw-r--r--src/fripost-partman-udeb/base.sh12
2 files changed, 13 insertions, 1 deletions
diff --git a/include/partition.sh b/include/partition.sh
index eed6db9..4eedcc3 100755
--- a/include/partition.sh
+++ b/include/partition.sh
@@ -24,7 +24,7 @@ set -ue
. /lib/fripost-partman/base.sh
# Configuration for a single disk
-device=/dev/sda
+device=$(fripost_list_devices | head -1)
raidLevel=
# Configuration for a RAID array
diff --git a/src/fripost-partman-udeb/base.sh b/src/fripost-partman-udeb/base.sh
index 163134f..23fcdeb 100644
--- a/src/fripost-partman-udeb/base.sh
+++ b/src/fripost-partman-udeb/base.sh
@@ -602,6 +602,18 @@ getIPv4() {
##############################################################################
+# List all block devices that are not mounted on /cdrom
+#
+fripost_list_devices() {
+ local cdrom=$( sed -rn '\#^(\S+) /cdrom\s.*# {s//\1/p; q}' /proc/mounts )
+ [ "$cdrom" ] || fatal "Error: Is /cdrom a mountpoint?"
+
+ find /dev -type b | grep -v '[0-9]$' | grep -vFx "$cdrom"
+}
+
+
+
+##############################################################################
# Remove a partition from a device
#
# Usage: fripost_rmpart device partition